#[derive(sqlx::Type, Debug)]
#[sqlx(type_name = "function", rename_all = "lowercase")]
pub enum Function {
    Posten = 1,
    Wachhabender = 10,
}

impl TryFrom<u8> for Function {
    type Error = ();

    fn try_from(value: u8) -> Result<Self, Self::Error> {
        match value {
            1 => Ok(Function::Posten),
            10 => Ok(Function::Wachhabender),
            _ => Err(()),
        }
    }
}
